



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Xcode 6以上版本如何创建一个空的工程（Empty Application）</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Xcode 6以上版本如何创建一个空的工程（Empty Application）</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-26 04:40:39 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>Xcode 6 正式版里面没有Empty Application这个模板，这对于习惯了纯代码编写UI界面的程序员来说很不习惯。</p>
<p>有高手给出了一个解决方法是，把Xcode 6 beta版里面的模板复制过去。</p>
<p>但是，如果性急的你已经把Xcode 6 beta彻底删除，网上又找不到Empty Application模板的下载，怎么办？总不用重新把几个G的Xcode 6 beta重新下一遍吧？</p>
<p>解决方法：</p>
<p>1、运行Xcode 6，创建一个Single View Application工程。</p>
<p><img referrerpolicy="no-referrer"src="http://images0.cnblogs.com/blog2015/417876/201508/150942243328088.png" /></p>
<p><img referrerpolicy="no-referrer"src="http://images0.cnblogs.com/blog2015/417876/201508/150942455679700.png" /></p>
<p>2、创建好后，把工程目录下的Main.storyboard和LaunchScreen.xib删除，扔进废纸篓。</p>
<p><img referrerpolicy="no-referrer"src="http://images0.cnblogs.com/blog2015/417876/201508/150942312708667.png" /></p>
<p>3、打开Info.plist，把Launch screen interface file base name，以及Main storyboard file base name两项，删除（点击旁边的减号即可）。</p>
<p><img referrerpolicy="no-referrer"src="http://images0.cnblogs.com/blog2015/417876/201508/150942161605751.png" /></p>
<p>4、打开工程项目属性文件，点击Target下面的第一项，再选择General选项卡，向下找到Use Asset Catalog按钮。点击它。</p>
<p><img referrerpolicy="no-referrer"src="http://images0.cnblogs.com/blog2015/417876/201508/150942022542432.png" /></p>
<p>5、弹出对话框，点击Migrate即可。这样，应用尺寸就能根据屏幕大小进行调整了。</p>
<p><img referrerpolicy="no-referrer"src="http://images0.cnblogs.com/blog2015/417876/201508/150942366761749.png" /></p>
<p>6、最后，在AppDelegate的第一个方法里面，&ldquo;return&rdquo;语句之前，添加必要代码。</p>
<p>代码只有3句，相当于分3步走。1.创建window；2.设置window背景；3.使window可见。</p>
<p>OC和Swift的语法略有不同，但代码内容基本一致。</p>
<p>//OC需要添加的代码</p>
<p>self.window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];</p>
<p>self.window.backgroundColor = [UIColor whiteColor];</p>
<p>[self.window makeKeyAndVisible];</p>
<p>//Swift需要添加的代码</p>
<p>self.window = UIWindow(frame: UIScreen.mainScreen().bounds)</p>
<p>self.window.backgroundColor = UIColor.whiteColor()</p>
<p>self.window.makeKeyAndVisible()</p>
<p><img referrerpolicy="no-referrer"src="http://images0.cnblogs.com/blog2015/417876/201508/150942101293326.png" /></p>
<p><img referrerpolicy="no-referrer"src="http://images0.cnblogs.com/blog2015/417876/201508/150942455679700.png" /></p>
<p>打完手工，文字图片百度经验抄的，这篇是我精挑细选过的，别去找其它了。</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/49gj26e9.html">Hibernate框架中Criteria语句</a>
		</li>
						<li><a href="https://www.batexi.com/a/r93d12g8.html">鸟哥的linux私房菜学习记录之软件安装原始码与Tarball</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qy4zzgq.html">表单 阻止 技巧 JavaScript  js</a>
		</li>
						<li><a href="https://www.batexi.com/a/rqlyele9.html">C&num; 集合扩展快速排序算法</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j0mn7lq.html">C puzzles详解【6-8题】</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1zjex69.html">如何使用js捕获css3动画</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ojk621q.html">手机装linux系统</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kpnen79.html">安装python2&period;7&period;13-64bit &amp;amp&semi; Pycharm在两个python版本之间切换</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pd332d9.html">Vbs脚本实现radmin终极后门</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gez5078.html">NHibernate教程&lpar;13&rpar;--立即加载</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7zj4k19.html">ActiveMQ进阶学习</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ojpx0pq.html">&lbrack;Luogu 3919&rsqb;【模板】可持久化数组（可持久化线段树&sol;平衡树）</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2j4j6w8.html">Android为TV端助力&colon;UDP协议&lpar;接收组播和单播&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/8eydogk9.html">【SPOJ】DIVCNTK min&lowbar;25筛</a>
		</li>
						<li><a href="https://www.batexi.com/a/qljz5109.html">python全栈开发   &ast;  表格标签   表单标签   css 引入方式   &ast;    180807</a>
		</li>
						<li><a href="https://www.batexi.com/a/95grvovq.html">Qt核心机制与原理</a>
		</li>
						<li><a href="https://www.batexi.com/a/93wynmzq.html">&lbrack;FE&rsqb; 有效开展一个前端项目2 &lpar;vuejs-templates&sol;webpack&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7oow2e8.html">mysql 开发基础系列21 事务控制和锁定语句&lpar;下&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kjnoy79.html">爬虫之requests请求库</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyy56kjq.html">7、js对象</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/jqdnevj9.html">NGUI Sprite Type（Simple、Sliced、Tiled、Filed、Advanced）</a>
			</li>
						<li><a href="https://www.batexi.com/a/jqdne4j9.html">&lbrack;3D跑酷&rsqb; MissionManager</a>
			</li>
						<li><a href="https://www.batexi.com/a/m96xpdn9.html">java 14 -7 Date</a>
			</li>
						<li><a href="https://www.batexi.com/a/r8m3e529.html">android图片缩小和放大Matrix</a>
			</li>
						<li><a href="https://www.batexi.com/a/1q2o5wl9.html">（转） C&num;多线程赛跑实例</a>
			</li>
						<li><a href="https://www.batexi.com/a/o8oz4j19.html">Window&period;open&lpar;&rpar;方法参数详解</a>
			</li>
						<li><a href="https://www.batexi.com/a/r93ed6nq.html">GeoServer 常见问题总结</a>
			</li>
						<li><a href="https://www.batexi.com/a/o8ozynx9.html">Linux第三次实验报告</a>
			</li>
						<li><a href="https://www.batexi.com/a/e9jwvw08.html">unity3d 扩展NGUI Tweener &mdash;&mdash; TweenFillAmount</a>
			</li>
						<li><a href="https://www.batexi.com/a/m8zde1n9.html">『随笔』Socket 链接 必须 上下行 同时使用</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
